Issue Credential
curl --request POST \
--url https://api.example.com/credentials/issue \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/credentials/issue"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/credentials/issue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credential": {
"@context": [
"https://www.w3.org/2018/credentials/v1",
"https://www.w3.org/2018/credentials/examples/v1"
],
"id": "http://example.gov/credentials/3732",
"type": [
"VerifiableCredential",
"UniversityDegreeCredential"
],
"issuer": "did:example:123",
"issuanceDate": "2020-03-16T22:37:26.544Z",
"expirationDate": "2021-03-16T22:37:26.544Z",
"credentialSubject": {
"id": "did:example:123",
"degree": {
"type": "BachelorDegree",
"name": "Bachelor of Science and Arts"
}
}
}
}Credentials
Issue Credential
Issues a credential and returns it in the response body.
POST
/
credentials
/
issue
Issue Credential
Body
application/json
The body is of type object.
Response
Credential successfully issued!
Credential issued.
Show child attributes
Show child attributes
⌘I